Update Cart-Payment Information
1 min
POST
https://api.upstartcommerce.com/v1/cart/profile/cart/payments
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringThe site identifier.
bodyarray
202<p>Success-the consumer's cart was updated as requested.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
404The requested resource was not found in the NoChannel system.
curl --request POST \
--url https://api.upstartcommerce.com/v1/cart/profile/cart/payments \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--header 'x-upstart-site: string' \
--data '[
{
"exec": {
"token": "",
"legacyAuth": true
}
}
]'